#include <iostream>
#include <cmath>
#include <bits/stdc++.h> 

using namespace std;

int main() {
	int n;
	cin>>n;
	char a[n];
	
	for(int i=0;i<n;i++){
		cin>>a[i];
	}
	int b[26],k=0,p=false,y=0;
	for(int i=0;i<26;i++){
		b[i]=1;
	}
	
	for(int i=65;i<91;i++){
		for(int j=0;j<n;j++){
			
			if(a[j]<i){
				y++;
				p=true;
				continue;
			}
			else if(a[j]==a[j-1] && j!=0) b[k]++;
			else if(p==true && a[j]==a[j-y-1]){
				p=false;
				y=0;
				b[k]++;
			}
			else if(a[j]==i){
				y=0;
				p=false;
				continue;
			}
			else if(j!=0){
				k++;
				p=false;
				y=0;
				break;
			}
		}
	}
	long long s=1;
	for(int i=0;i<26;i++){
	//	cout<<b[i]<<endl;
		s=s*b[i];
	}
	
	cout<<s;
	
	return 0;
}